Description

In issue #3062, it was agreed that the CN should not be setting the authoritativeMN for an object, yet it still does for cases where

those fields are null from the MN being synchronized, setting it using the nodeID in the associated syncTask (the systemMetadata's

source MN).

The CN does need an authoritativeMN for further processing, but can we assume that the source node is the right one?

How does this jive with pre-replicated content (where there's already a replica on a member node) and the possibility of getting the

replica before the authoritative?  (what instructions have we given MNs who do this)

For example, if both MemberNodes have the same value for the originNode, but leave the authoritativeMN field blank, the

authoritativeMN will be set to whichever node sync's first.  It seems that if the originMN is passed in by the source node, and the

authMN field is null, it should be populated with the same node as originMN, not the source node.

Associated revisions

Revision 16243 - 2015-09-04 08:17 - Rob Nahf

refs: #7314, #7324:  Removed restriction on dateSystemMetadtataModified field that was preventing update of an object.  Added logic for rejecting

updates if the CN is authoritative for the systemMetadata (v1 read-write nodes). Added missing business-rule validation on systemMetadata.

Revision 16243 - 2015-09-04 08:17 - Rob Nahf

refs: #7314, #7324:  Removed restriction on dateSystemMetadtataModified field that was preventing update of an object.  Added logic for rejecting
History

#1 - 2015-09-01 17:25 - Rob Nahf

- Description updated

#2 - 2015-09-01 17:50 - Rob Nahf

- Description updated

#3 - 2015-09-01 18:50 - Rob Nahf

Chris suggests that we instead return InvalidSystemMetadata because the fields are blank.  Agreed.

#4 - 2015-09-29 00:51 - Rob Nahf

- Status changed from New to Closed

- % Done changed from 0 to 100

created unit test for the situation and got it to pass.
